## org.eclipse.datatools.sqltools.result.internal.ui.view
Class MultipleTabsGridSection

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.ui.view.ResultSection
          org.eclipse.datatools.sqltools.result.internal.ui.view.MultipleTabsModeSection
              org.eclipse.datatools.sqltools.result.internal.ui.view.MultipleTabsGridSection

    public class MultipleTabsGridSection

extends MultipleTabsModeSection

This UI component displays the execution result on multiple tabs in grid mode(using tables to display result sets).

Author:
  Dafan Yang

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.sqltools.result.internal.ui.view.ResultSection
`ResultSection.OutputThread`

Constructor Summary
`MultipleTabsGridSection(org.eclipse.swt.widgets.Composite composite, IResultInstance instance, ResultsViewControl resultsViewControl)`
`MultipleTabsGridSection(org.eclipse.swt.widgets.Composite composite, ResultsViewControl resultsViewControl)`

Method Summary
`void` `onInstanceReseted()` Refreshes UI when resultInstanceReset event occurs for the current result instance
`void` `showStatusDetail(IResultInstance instance)` Shows the status messages on the status tab item

Methods inherited from class org.eclipse.datatools.sqltools.result.internal.ui.view.MultipleTabsModeSection
`getControl, getRowCount, onInstanceFinished, onNewItemAppended, onParametersShown, showDetail, showResultSet, showTab, showTab`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipleTabsGridSection

    public MultipleTabsGridSection(org.eclipse.swt.widgets.Composite composite,
                                   ResultsViewControl resultsViewControl)

### MultipleTabsGridSection

    public MultipleTabsGridSection(org.eclipse.swt.widgets.Composite composite,
                                   IResultInstance instance,
                                   ResultsViewControl resultsViewControl)

Method Detail

### showStatusDetail

    public void showStatusDetail(IResultInstance instance)

  Description copied from class: `MultipleTabsModeSection`
  Shows the status messages on the status tab item

  Parameters:
    `instance` - the result instance

### onInstanceReseted

    public void onInstanceReseted()

  Description copied from class: `ResultSection`
  Refreshes UI when resultInstanceReset event occurs for the current result instance

  Overrides:
    `onInstanceReseted` in class `MultipleTabsModeSection`